Bug 508591 - Traceback overwrites earlier tracebacks
Traceback overwrites earlier tracebacks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-meh (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 18:21 EDT by Tethys
Modified: 2010-06-28 09:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:21:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2009-06-28 18:21:08 EDT
Description of problem:
Traceback filename is always "anacdump.txt"

Version-Release number of selected component (if applicable):
Whatever's in F11 -- I haven't managed to install it yet, so
I can't easily check!

How reproducible:
Unknown

Steps to Reproduce:
1. Bork the installer. Get it to write the traceback to a file.
2. Retry the install.
3. Another failure, write the traceback to the same storage device.
  
Actual results:
Traceback overwrites previous dump files.

Expected results:
Numbered dump files (anadump2.txt, for example)

Additional info:
The first traceback was worthwhile, and would have made it into
a bug report, probably giving useful info. The second one was
triggered by bad hardware, and so doesn't need reporting. But
it had overwritten the one I was actually interested in :-(
Comment 1 Chris Lumens 2009-07-17 16:27:30 EDT
I'm addressing this as part of breaking the exception handling out of anaconda into a standalone project called python-meh.
Comment 2 Chris Lumens 2009-07-28 22:47:54 EDT
This should be fixed in the initial build of python-meh.  Thanks for the bug report.
Comment 3 Bug Zapper 2010-04-27 11:19:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 09:21:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Chris Lumens 2010-06-28 09:28:10 EDT
That was dumb, bugzapper.

Note You need to log in before you can comment on or make changes to this bug.